<?php
/**
 * @file
 * one.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function one_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'one_config_events';
  $context->description = '';
  $context->tag = 'One';
  $context->conditions = array(
    'views' => array(
      'values' => array(
        'one_events_og_content' => 'one_events_og_content',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'views-7fac30a0d71e1e68b9871cebab2917aa' => array(
          'module' => 'views',
          'delta' => '7fac30a0d71e1e68b9871cebab2917aa',
          'region' => 'sidebar_first',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 1;

  // Translatables
  // Included for use with string extractors like potx.
  t('One');
  $export['one_config_events'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'one_config_places';
  $context->description = '';
  $context->tag = 'One';
  $context->conditions = array(
    'views' => array(
      'values' => array(
        'one_places' => 'one_places',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'views--exp-one_places-page_1' => array(
          'module' => 'views',
          'delta' => '-exp-one_places-page_1',
          'region' => 'sidebar_first',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 1;

  // Translatables
  // Included for use with string extractors like potx.
  t('One');
  $export['one_config_places'] = $context;

  return $export;
}
