<?php
/**
 * @file
 * one.features.field.inc
 */

/**
 * Implements hook_field_default_fields().
 */
function one_field_default_fields() {
  $fields = array();

  // Exported field: 'node-one_site_content-body'.
  $fields['node-one_site_content-body'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(
        0 => 'node',
      ),
      'field_name' => 'body',
      'foreign keys' => array(
        'format' => array(
          'columns' => array(
            'format' => 'format',
          ),
          'table' => 'filter_format',
        ),
      ),
      'indexes' => array(
        'format' => array(
          0 => 'format',
        ),
      ),
      'locked' => '0',
      'module' => 'text',
      'settings' => array(),
      'translatable' => '0',
      'type' => 'text_with_summary',
    ),
    'field_instance' => array(
      'bundle' => 'one_site_content',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => '',
      'display' => array(
        'default' => array(
          'label' => 'hidden',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '1',
        ),
        'full' => array(
          'label' => 'hidden',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '1',
        ),
        'teaser' => array(
          'label' => 'hidden',
          'module' => 'text',
          'settings' => array(
            'trim_length' => '1200',
          ),
          'type' => 'text_summary_or_trimmed',
          'weight' => '6',
        ),
      ),
      'entity_type' => 'node',
      'field_name' => 'body',
      'label' => 'Body',
      'required' => FALSE,
      'settings' => array(
        'display_summary' => TRUE,
        'text_processing' => 1,
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'module' => 'text',
        'settings' => array(
          'rows' => 20,
          'summary_rows' => 5,
        ),
        'type' => 'text_textarea_with_summary',
        'weight' => '3',
      ),
    ),
  );

  // Exported field: 'node-one_site_content-field_one_site_date_partial'.
  $fields['node-one_site_content-field_one_site_date_partial'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_one_site_date_partial',
      'field_permissions' => array(
        'type' => '0',
      ),
      'foreign keys' => array(),
      'indexes' => array(
        'timestamp' => array(
          0 => 'timestamp',
        ),
        'timestamp_to' => array(
          0 => 'timestamp_to',
        ),
      ),
      'locked' => '0',
      'module' => 'partial_date',
      'settings' => array(
        'estimates' => array(
          'day' => array(
            '0|12' => 'The start of the month',
            '10|20' => 'The middle of the month',
            '18|31' => 'The end of the month',
          ),
          'hour' => array(
            '0|1' => 'Midnight',
            '12|13' => 'Noon',
            '12|18' => 'Afternoon',
            '18|22' => 'Evening',
            '18|6' => 'Night',
            '6|12' => 'Morning',
            '6|18' => 'Day time',
          ),
          'minute' => array(),
          'month' => array(
            '11|1' => 'Winter',
            '2|4' => 'Spring',
            '5|7' => 'Summer',
            '8|10' => 'Autumn',
          ),
          'second' => array(),
          'year' => array(
            '-60000|1600' => 'Pre-colonial',
            '1500|1599' => '16th century',
            '1600|1699' => '17th century',
            '1700|1799' => '18th century',
            '1800|1899' => '19th century',
            '1900|1999' => '20th century',
            '2000|2099' => '21st century',
          ),
        ),
        'minimum_components' => array(
          'from_estimates_day' => 0,
          'from_estimates_hour' => 0,
          'from_estimates_minute' => 0,
          'from_estimates_month' => 0,
          'from_estimates_second' => 0,
          'from_estimates_year' => 0,
          'from_granularity_day' => 0,
          'from_granularity_hour' => 0,
          'from_granularity_minute' => 0,
          'from_granularity_month' => 0,
          'from_granularity_second' => 0,
          'from_granularity_timezone' => 0,
          'from_granularity_year' => 0,
          'to_estimates_day' => 0,
          'to_estimates_hour' => 0,
          'to_estimates_minute' => 0,
          'to_estimates_month' => 0,
          'to_estimates_second' => 0,
          'to_estimates_year' => 0,
          'to_granularity_day' => 0,
          'to_granularity_hour' => 0,
          'to_granularity_minute' => 0,
          'to_granularity_month' => 0,
          'to_granularity_second' => 0,
          'to_granularity_timezone' => 0,
          'to_granularity_year' => 0,
          'txt_long' => 0,
          'txt_short' => 0,
        ),
      ),
      'translatable' => '0',
      'type' => 'partial_date_range',
    ),
    'field_instance' => array(
      'bundle' => 'one_site_content',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => '',
      'display' => array(
        'default' => array(
          'label' => 'above',
          'module' => 'partial_date',
          'settings' => array(
            'component_settings' => array(),
            'format' => 'medium',
            'use_override' => 'none',
          ),
          'type' => 'partial_date_default',
          'weight' => 10,
        ),
        'full' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => 0,
        ),
        'teaser' => array(
          'label' => 'hidden',
          'module' => 'partial_date',
          'settings' => array(
            'component_settings' => array(
              'components' => array(
                'approx' => array(
                  'value' => '',
                  'weight' => '-1',
                ),
                'c1' => array(
                  'value' => '',
                  'weight' => '7',
                ),
                'c2' => array(
                  'value' => '',
                  'weight' => '8',
                ),
                'c3' => array(
                  'value' => '',
                  'weight' => '9',
                ),
                'day' => array(
                  'empty' => '',
                  'format' => 'j-S',
                  'weight' => '2',
                ),
                'hour' => array(
                  'empty' => '',
                  'format' => 'h',
                  'weight' => '3',
                ),
                'minute' => array(
                  'empty' => '',
                  'format' => 'i',
                  'weight' => '4',
                ),
                'month' => array(
                  'empty' => '',
                  'format' => 'M',
                  'weight' => '1',
                ),
                'second' => array(
                  'empty' => '',
                  'format' => 's',
                  'weight' => '5',
                ),
                'timezone' => array(
                  'empty' => '',
                  'format' => 'T',
                  'weight' => '6',
                ),
                'year' => array(
                  'empty' => '',
                  'format' => 'Y',
                  'weight' => '0',
                ),
              ),
              'display' => array(
                'day' => 'estimate_label',
                'hour' => 'estimate_label',
                'minute' => 'estimate_label',
                'month' => 'estimate_label',
                'second' => 'estimate_label',
                'timezone' => 'date_only',
                'year' => 'estimate_label',
              ),
              'meridiem' => 'a',
              'separator' => array(
                'date' => ' ',
                'datetime' => ' ',
                'other' => ' ',
                'range' => '',
                'time' => ':',
              ),
              'year_designation' => 'bc',
            ),
            'format' => 'medium',
            'use_override' => 'short',
          ),
          'type' => 'partial_date_default',
          'weight' => '3',
        ),
      ),
      'entity_type' => 'node',
      'field_name' => 'field_one_site_date_partial',
      'label' => 'Date',
      'required' => 0,
      'settings' => array(
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'partial_date',
        'settings' => array(
          0 => FALSE,
          'estimates' => array(
            'from' => array(
              'day' => 0,
              'hour' => 0,
              'minute' => 0,
              'month' => 0,
              'second' => 0,
              'year' => 0,
            ),
            'to' => array(
              'day' => 0,
              'hour' => 0,
              'minute' => 0,
              'month' => 0,
              'second' => 0,
              'year' => 0,
            ),
          ),
          'granularity' => array(
            'from' => array(
              'day' => 'day',
              'hour' => 'hour',
              'minute' => 'minute',
              'month' => 'month',
              'second' => 0,
              'timezone' => 0,
              'year' => 'year',
            ),
            'to' => array(
              'day' => 'day',
              'hour' => 'hour',
              'minute' => 'minute',
              'month' => 'month',
              'second' => 0,
              'timezone' => 0,
              'year' => 'year',
            ),
          ),
          'help_txt' => array(
            'und' => array(
              '_remove' => '',
              'check_approximate' => '',
              'components' => '',
              'txt_long' => 'Longer description of date',
              'txt_short' => 'Short description of date',
            ),
          ),
          'hide_remove' => 0,
          'increments' => array(
            'minute' => '15',
            'second' => '1',
          ),
          'theme_overrides' => array(
            'check_approximate' => 0,
            'range_inline' => 0,
            'txt_long' => 0,
            'txt_short' => 1,
          ),
          'tz_handling' => 'none',
        ),
        'type' => 'partial_date',
        'weight' => '7',
      ),
    ),
  );

  // Exported field: 'node-one_site_content-field_one_site_grouped_by'.
  $fields['node-one_site_content-field_one_site_grouped_by'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_one_site_grouped_by',
      'foreign keys' => array(
        'tid' => array(
          'columns' => array(
            'tid' => 'tid',
          ),
          'table' => 'taxonomy_term_data',
        ),
      ),
      'indexes' => array(
        'tid' => array(
          0 => 'tid',
        ),
      ),
      'locked' => '0',
      'module' => 'taxonomy',
      'settings' => array(
        'allowed_values' => array(
          0 => array(
            'vocabulary' => 'one_groups',
            'parent' => '0',
          ),
        ),
      ),
      'translatable' => '0',
      'type' => 'taxonomy_term_reference',
    ),
    'field_instance' => array(
      'bundle' => 'one_site_content',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => '',
      'display' => array(
        'default' => array(
          'label' => 'above',
          'module' => 'taxonomy',
          'settings' => array(),
          'type' => 'taxonomy_term_reference_link',
          'weight' => '8',
        ),
        'full' => array(
          'label' => 'above',
          'module' => 'taxonomy',
          'settings' => array(),
          'type' => 'taxonomy_term_reference_link',
          'weight' => '8',
        ),
        'teaser' => array(
          'label' => 'hidden',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => '14',
        ),
      ),
      'entity_type' => 'node',
      'field_name' => 'field_one_site_grouped_by',
      'label' => 'Grouped by',
      'required' => FALSE,
      'settings' => array(
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'module' => 'taxonomy',
        'settings' => array(
          'autocomplete_path' => 'taxonomy/autocomplete',
          'size' => 60,
        ),
        'type' => 'taxonomy_autocomplete',
        'weight' => '2',
      ),
    ),
  );

  // Exported field: 'node-one_site_content-field_one_site_keywords'.
  $fields['node-one_site_content-field_one_site_keywords'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '-1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_one_site_keywords',
      'field_permissions' => array(
        'type' => '0',
      ),
      'foreign keys' => array(
        'tid' => array(
          'columns' => array(
            'tid' => 'tid',
          ),
          'table' => 'taxonomy_term_data',
        ),
      ),
      'indexes' => array(
        'tid' => array(
          0 => 'tid',
        ),
      ),
      'locked' => '0',
      'module' => 'taxonomy',
      'settings' => array(
        'allowed_values' => array(
          0 => array(
            'vocabulary' => 'one_keywords',
            'parent' => '0',
          ),
        ),
      ),
      'translatable' => '0',
      'type' => 'taxonomy_term_reference',
    ),
    'field_instance' => array(
      'bundle' => 'one_site_content',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => '',
      'display' => array(
        'default' => array(
          'label' => 'above',
          'module' => 'taxonomy',
          'settings' => array(),
          'type' => 'taxonomy_term_reference_link',
          'weight' => '9',
        ),
        'entityreference_view_widget' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => 0,
        ),
        'full' => array(
          'label' => 'above',
          'module' => 'taxonomy',
          'settings' => array(),
          'type' => 'taxonomy_term_reference_link',
          'weight' => '9',
        ),
        'teaser' => array(
          'label' => 'hidden',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => '15',
        ),
      ),
      'entity_type' => 'node',
      'field_name' => 'field_one_site_keywords',
      'label' => 'Keywords',
      'required' => 0,
      'settings' => array(
        'freetag_detect' => array(
          'source_type' => 'body',
          'status' => 1,
        ),
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 0,
        'module' => 'taxonomy',
        'settings' => array(
          'autocomplete_path' => 'taxonomy/autocomplete',
          'size' => 60,
        ),
        'type' => 'taxonomy_autocomplete',
        'weight' => '3',
      ),
    ),
  );

  // Exported field: 'node-one_site_content-field_one_site_link'.
  $fields['node-one_site_content-field_one_site_link'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '-1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_one_site_link',
      'foreign keys' => array(),
      'indexes' => array(),
      'locked' => '0',
      'module' => 'link',
      'settings' => array(
        'attributes' => array(
          'class' => '',
          'rel' => '',
          'target' => 'default',
        ),
        'display' => array(
          'url_cutoff' => 80,
        ),
        'enable_tokens' => 1,
        'title' => 'optional',
        'title_maxlength' => 128,
        'title_value' => '',
        'url' => 0,
      ),
      'translatable' => '0',
      'type' => 'link_field',
    ),
    'field_instance' => array(
      'bundle' => 'one_site_content',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => '',
      'display' => array(
        'default' => array(
          'label' => 'above',
          'module' => 'link',
          'settings' => array(),
          'type' => 'link_default',
          'weight' => '7',
        ),
        'full' => array(
          'label' => 'above',
          'module' => 'link',
          'settings' => array(),
          'type' => 'link_default',
          'weight' => '7',
        ),
        'teaser' => array(
          'label' => 'hidden',
          'module' => 'link',
          'settings' => array(),
          'type' => 'link_default',
          'weight' => '5',
        ),
      ),
      'entity_type' => 'node',
      'field_name' => 'field_one_site_link',
      'label' => 'Link',
      'required' => 0,
      'settings' => array(
        'attributes' => array(
          'class' => '',
          'configurable_title' => 0,
          'rel' => '',
          'target' => '_blank',
          'title' => '',
        ),
        'display' => array(
          'url_cutoff' => '80',
        ),
        'enable_tokens' => 0,
        'title' => 'optional',
        'title_maxlength' => '128',
        'title_value' => '',
        'url' => 0,
        'user_register_form' => FALSE,
        'validate_url' => 1,
      ),
      'widget' => array(
        'active' => 0,
        'module' => 'link',
        'settings' => array(),
        'type' => 'link_field',
        'weight' => '11',
      ),
    ),
  );

  // Exported field: 'node-one_site_content-field_one_site_location'.
  $fields['node-one_site_content-field_one_site_location'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_one_site_location',
      'foreign keys' => array(),
      'indexes' => array(
        'lid' => array(
          0 => 'lid',
        ),
      ),
      'locked' => '0',
      'module' => 'location_cck',
      'settings' => array(
        'gmap_macro' => '[gmap ]',
        'gmap_marker' => 'drupal',
        'location_settings' => array(
          'display' => array(
            'hide' => array(
              'additional' => 0,
              'city' => 0,
              'coords' => 0,
              'country' => 0,
              'country_name' => 0,
              'locpick' => 0,
              'map_link' => 0,
              'name' => 0,
              'postal_code' => 0,
              'province' => 0,
              'province_name' => 0,
              'street' => 0,
            ),
          ),
          'form' => array(
            'fields' => array(
              'additional' => array(
                'collect' => '1',
                'default' => '',
                'weight' => '6',
              ),
              'city' => array(
                'collect' => '1',
                'default' => '',
                'weight' => '8',
              ),
              'country' => array(
                'collect' => '1',
                'default' => 'us',
                'weight' => '14',
              ),
              'locpick' => array(
                'collect' => '1',
                'weight' => '20',
              ),
              'name' => array(
                'collect' => '1',
                'default' => '',
                'weight' => '2',
              ),
              'postal_code' => array(
                'collect' => '1',
                'default' => '',
                'weight' => '12',
              ),
              'province' => array(
                'collect' => '1',
                'default' => '',
                'weight' => '10',
                'widget' => 'select',
              ),
              'street' => array(
                'collect' => '1',
                'default' => '',
                'weight' => '4',
              ),
            ),
          ),
        ),
      ),
      'translatable' => '0',
      'type' => 'location',
    ),
    'field_instance' => array(
      'bundle' => 'one_site_content',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => '',
      'display' => array(
        'default' => array(
          'label' => 'hidden',
          'module' => 'location_cck',
          'settings' => array(),
          'type' => 'location_default',
          'weight' => '6',
        ),
        'entityreference_view_widget' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => 0,
        ),
        'full' => array(
          'label' => 'hidden',
          'module' => 'location_cck',
          'settings' => array(),
          'type' => 'location_default',
          'weight' => '6',
        ),
        'teaser' => array(
          'label' => 'hidden',
          'module' => 'location_cck',
          'settings' => array(),
          'type' => 'location_default',
          'weight' => '4',
        ),
      ),
      'entity_type' => 'node',
      'field_name' => 'field_one_site_location',
      'label' => 'Location',
      'required' => 0,
      'settings' => array(
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 0,
        'module' => 'location_cck',
        'settings' => array(),
        'type' => 'location',
        'weight' => '8',
      ),
    ),
  );

  // Exported field: 'node-one_site_content-field_one_site_media'.
  $fields['node-one_site_content-field_one_site_media'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '-1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_one_site_media',
      'field_permissions' => array(
        'type' => '0',
      ),
      'foreign keys' => array(
        'fid' => array(
          'columns' => array(
            'fid' => 'fid',
          ),
          'table' => 'file_managed',
        ),
      ),
      'indexes' => array(
        'fid' => array(
          0 => 'fid',
        ),
      ),
      'locked' => '0',
      'module' => 'file',
      'settings' => array(
        'display_default' => 0,
        'display_field' => 0,
        'uri_scheme' => 'public',
      ),
      'translatable' => '0',
      'type' => 'file',
    ),
    'field_instance' => array(
      'bundle' => 'one_site_content',
      'deleted' => '0',
      'description' => '',
      'display' => array(
        'default' => array(
          'label' => 'hidden',
          'module' => 'file',
          'settings' => array(),
          'type' => 'file_default',
          'weight' => '2',
        ),
        'full' => array(
          'label' => 'hidden',
          'module' => 'file',
          'settings' => array(),
          'type' => 'file_default',
          'weight' => '2',
        ),
        'teaser' => array(
          'label' => 'hidden',
          'module' => 'file_entity',
          'settings' => array(
            'file_view_mode' => 'default',
          ),
          'type' => 'file_rendered',
          'weight' => '2',
        ),
      ),
      'entity_type' => 'node',
      'field_name' => 'field_one_site_media',
      'label' => 'Media',
      'required' => 0,
      'settings' => array(
        'description_field' => 0,
        'file_directory' => '',
        'file_extensions' => 'png gif jpg jpeg pdf doc docx xls xlsx ppt pptx',
        'filefield_paths' => array(
          'active_updating' => 0,
          'file_name' => array(
            'options' => array(
              'pathauto' => 0,
              'transliterate' => 0,
            ),
            'value' => '[file:ffp-name-only-original].[file:ffp-extension-original]',
          ),
          'file_path' => array(
            'options' => array(
              'pathauto' => 1,
              'transliterate' => 0,
            ),
            'value' => 'sites/[node:author]/content/[node:title]/media',
          ),
          'retroactive_update' => 0,
        ),
        'max_filesize' => '10 MB',
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'media',
        'settings' => array(
          'allowed_schemes' => array(
            'feed' => 0,
            'http' => 'http',
            'https' => 'https',
            'public' => 'public',
            'vimeo' => 'vimeo',
            'youtube' => 'youtube',
          ),
          'allowed_types' => array(
            'audio' => 0,
            'document' => 'document',
            'image' => 'image',
            'video' => 'video',
          ),
          'browser_plugins' => array(
            'media_default--media_browser_1' => 0,
            'media_default--media_browser_my_files' => 'media_default--media_browser_my_files',
            'media_internet' => 'media_internet',
            'remote_file' => 'remote_file',
            'upload' => 'upload',
            'youtube' => 'youtube',
          ),
          'progress_indicator' => 'throbber',
        ),
        'type' => 'media_generic',
        'weight' => '5',
      ),
    ),
  );

  // Exported field: 'node-one_site_content-field_one_site_products'.
  $fields['node-one_site_content-field_one_site_products'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '-1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_one_site_products',
      'foreign keys' => array(
        'product_id' => array(
          'columns' => array(
            'product_id' => 'product_id',
          ),
          'table' => 'commerce_product',
        ),
      ),
      'indexes' => array(
        'product_id' => array(
          0 => 'product_id',
        ),
      ),
      'locked' => '0',
      'module' => 'commerce_product_reference',
      'settings' => array(),
      'translatable' => '0',
      'type' => 'commerce_product_reference',
    ),
    'field_instance' => array(
      'bundle' => 'one_site_content',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => '',
      'display' => array(
        'default' => array(
          'label' => 'above',
          'module' => 'commerce_cart',
          'settings' => array(
            'combine' => TRUE,
            'default_quantity' => 1,
            'line_item_type' => 'product',
            'show_quantity' => FALSE,
            'show_single_product_attributes' => FALSE,
          ),
          'type' => 'commerce_cart_add_to_cart_form',
          'weight' => 11,
        ),
        'teaser' => array(
          'label' => 'hidden',
          'module' => 'commerce_cart',
          'settings' => array(
            'combine' => TRUE,
            'default_quantity' => 1,
            'line_item_type' => 'product',
            'show_quantity' => FALSE,
            'show_single_product_attributes' => FALSE,
          ),
          'type' => 'commerce_cart_add_to_cart_form',
          'weight' => '1',
        ),
      ),
      'entity_type' => 'node',
      'field_name' => 'field_one_site_products',
      'label' => 'Product',
      'required' => 0,
      'settings' => array(
        'field_injection' => 0,
        'referenceable_types' => array(
          'product' => 'product',
        ),
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'inline_entity_form',
        'settings' => array(
          'fields' => array(),
          'type_settings' => array(
            'allow_existing' => 0,
            'autogenerate_title' => 1,
            'delete_references' => 1,
            'match_operator' => 'CONTAINS',
            'use_variation_language' => 0,
          ),
        ),
        'type' => 'inline_entity_form_single',
        'weight' => '12',
      ),
    ),
  );

  // Exported field: 'taxonomy_term-one_keywords-field_one_keyword_image'.
  $fields['taxonomy_term-one_keywords-field_one_keyword_image'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_one_keyword_image',
      'foreign keys' => array(
        'fid' => array(
          'columns' => array(
            'fid' => 'fid',
          ),
          'table' => 'file_managed',
        ),
      ),
      'indexes' => array(
        'fid' => array(
          0 => 'fid',
        ),
      ),
      'locked' => '0',
      'module' => 'image',
      'settings' => array(
        'default_image' => 0,
        'uri_scheme' => 'public',
      ),
      'translatable' => '0',
      'type' => 'image',
    ),
    'field_instance' => array(
      'bundle' => 'one_keywords',
      'deleted' => '0',
      'description' => '',
      'display' => array(
        'default' => array(
          'label' => 'hidden',
          'module' => 'image',
          'settings' => array(
            'image_link' => '',
            'image_style' => '',
          ),
          'type' => 'image',
          'weight' => '0',
        ),
      ),
      'entity_type' => 'taxonomy_term',
      'field_name' => 'field_one_keyword_image',
      'label' => 'Image',
      'required' => 0,
      'settings' => array(
        'alt_field' => 0,
        'default_image' => '5',
        'file_directory' => '',
        'file_extensions' => 'png gif jpg jpeg',
        'max_filesize' => '',
        'max_resolution' => '',
        'min_resolution' => '',
        'title_field' => 0,
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'media',
        'settings' => array(
          'allowed_schemes' => array(
            'public' => 'public',
            'youtube' => 0,
          ),
          'allowed_types' => array(
            'audio' => 0,
            'document' => 0,
            'image' => 'image',
            'video' => 0,
          ),
          'browser_plugins' => array(
            'media_default--media_browser_1' => 0,
            'media_default--media_browser_my_files' => 0,
            'media_internet' => 0,
            'upload' => 0,
          ),
          'progress_indicator' => 'throbber',
        ),
        'type' => 'media_generic',
        'weight' => '1',
      ),
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Body');
  t('Date');
  t('Grouped by');
  t('Image');
  t('Keywords');
  t('Link');
  t('Location');
  t('Media');
  t('Product');

  return $fields;
}
